Subject: [CFRG] Re: [hpke] Re: [lamps] Re: Re: Re: Re: [EXTERNAL] Re: Re: Re: Re: Re: Cross-testing update on LAMPS Composite and cfrg-concrete-hybrid-kems
From: "Filippo Valsorda" <[email-masked]>
To: "Nick Sullivan" <[email-masked]>, "Dennis Jackson" <ietf=[email-masked]>
Cc: CFRG <[email-masked]>, "[email-masked]" <[email-masked]>, LAMPS WG <[email-masked]>
Date: Tue, 04 Nov 2025 18:38:23 +0100
List-Id: Crypto Forum Research Group <cfrg.irtf.org>

2025-11-04 18:17 GMT+01:00 Nick Sullivan <[email-masked]>:
> The stakeholders with the strongest preference for maintaining
> compatibility appear to be library implementers, who would likely need
> to add a new codepoint to their libraries to support existing non-IETF
> use cases and any RFC that relies on concrete hybrids as normative.
> Which is less than ideal, but maybe not catastrophic. The good news is
> that almost all existing implementations use the term X-Wing, X-Wing
> and X25519-MLKEM512 are very different names, so confusion may be
> minimal among users.

To be clear, and to echo David Benjamin, I am not saying that adding a codepoint for the incompatible CFRG variant would be confusing, I am saying I am not interested in shipping a needlessly incompatible variant of an already deployed construction at all.

Anyway, aside from whatever CFRG consensus is reached, I believe we do indeed need to have an IETF conversation around relying on CFRG documents as normative references, and around moving WG work at RG speeds.